import React, {JSX} from 'react';
import {
  HiOutlineCurrencyDollar,
  HiOutlineMail,
  HiReply,
} from 'react-icons/hi';
import { RowIconButton } from '@fat-zebra/zeal/components/buttons/IconButton';
import RowDropdownMenu, { MenuItemGroup, MenuItem } from './RowDropdownMenu';



const ActionMenu = (): JSX.Element => {

  const renderQuickAction = (): JSX.Element => {

    return (
      <RowIconButton
        icon={HiOutlineMail}
        text='Email receipt'
        onClick={(): void => {
          window.location.href =  '';
        }}
      />
    );
  };

  return (
    <div className='px-4'>
      <RowDropdownMenu id='transactions-menu' popout={renderQuickAction()}>
        <MenuItemGroup>
          <MenuItem id='capture' label='Capture' icon={HiOutlineCurrencyDollar} url="/capture" />
          <MenuItem id='refund' label='Refund' icon={HiReply} url="/refund" />
        </MenuItemGroup>
      </RowDropdownMenu>
    </div>
  );
};

export default ActionMenu;
