import React, { PropsWithChildren } from 'react';

type Props = {
  heading?: string;
};

const MenuItemGroup = ({ heading, children }: PropsWithChildren<Props>) => (
  <li>
    <ul>
      {heading && (
        <span className='block bg-gray-50 border-y border-gray-200 text-gray-700 py-2 px-3 text-xs'>
          {heading}
        </span>
      )}
      {children}
    </ul>
  </li>
);

export default MenuItemGroup;
